/*
 * Copyright 2022 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */

/***********************************************************************************/
/* This file is automatically generated using bindtool and can be manually edited  */
/* The following lines can be configured to regenerate this file during cmake      */
/* If manual edits are made, the following tags should be modified accordingly.    */
/* BINDTOOL_GEN_AUTOMATIC(0)                                                       */
/* BINDTOOL_USE_PYGCCXML(0)                                                        */
/* BINDTOOL_HEADER_FILE(misc_utils/extract_system_info.h)                                        */
/* BINDTOOL_HEADER_FILE_HASH(80d30ca501e0cb0a79556045dc81b5a0)                     */
/***********************************************************************************/

#include <pybind11/complex.h>
#include <pybind11/pybind11.h>
#include <pybind11/stl.h>

namespace py = pybind11;

#include <gsm/misc_utils/extract_system_info.h>
// pydoc.h is automatically generated in the build directory
#include <extract_system_info_pydoc.h>

void bind_extract_system_info(py::module& m)
{

    using extract_system_info    = ::gr::gsm::extract_system_info;


    py::class_<extract_system_info, gr::block, gr::basic_block,
        std::shared_ptr<extract_system_info>>(m, "extract_system_info", D(extract_system_info))

        .def(py::init(&extract_system_info::make),
           D(extract_system_info,make)
        )
        




        
        .def("get_chans",&extract_system_info::get_chans,       
            D(extract_system_info,get_chans)
        )


        
        .def("get_pwrs",&extract_system_info::get_pwrs,       
            D(extract_system_info,get_pwrs)
        )


        
        .def("get_lac",&extract_system_info::get_lac,       
            D(extract_system_info,get_lac)
        )


        
        .def("get_cell_id",&extract_system_info::get_cell_id,       
            D(extract_system_info,get_cell_id)
        )


        
        .def("get_mcc",&extract_system_info::get_mcc,       
            D(extract_system_info,get_mcc)
        )


        
        .def("get_mnc",&extract_system_info::get_mnc,       
            D(extract_system_info,get_mnc)
        )


        
        .def("get_ccch_conf",&extract_system_info::get_ccch_conf,       
            D(extract_system_info,get_ccch_conf)
        )


        
        .def("get_cell_arfcns",&extract_system_info::get_cell_arfcns,       
            py::arg("chan_id"),
            D(extract_system_info,get_cell_arfcns)
        )


        
        .def("get_neighbours",&extract_system_info::get_neighbours,       
            py::arg("chan_id"),
            D(extract_system_info,get_neighbours)
        )


        
        .def("reset",&extract_system_info::reset,       
            D(extract_system_info,reset)
        )

        ;




}








